spring:
  application:
    name: pcp-dynamic-plan-service
  profiles:
    default: local
  config:
    import: "configserver:"
  cloud:
    config:
      uri: ${CONFIG_SERVER_URI:http://localhost:8888}
      fail-fast: ${CONFIG_SERVER_FAIL_FAST:true}
      profile: ${SPRING_CLOUD_CONFIG_PROFILE:${SPRING_PROFILES_ACTIVE:${spring.profiles.default}}}
      label: ${SPRING_CLOUD_CONFIG_LABEL:master}
#  codec:
#    max-in-memory-size: 16MB
  datasource:
    driver-class-name: org.postgresql.Driver
    url: jdbc:postgresql://${PCP_POSTGRES_HOST:localhost}:${PCP_POSTGRES_PORT:5432}/complan
    username: postgres
    password: password
  jpa:
    database-platform: org.hibernate.dialect.PostgreSQLDialect
    hibernate:
      ddl-auto: validate
    show-sql: false
    properties:
      hibernate:
        format_sql: false
        jdbc:
          batch_size: 40
          order_inserts: true
          order_updates: true

  feign:
    client:
      config:
        default:
          connectTimeout: 5000
          readTimeout: 30000
          loggerLevel: basic

  flyway:
    enabled: true
    locations: classpath:db/migration/pcp-complex-plan
    baseline-on-migrate: true
    ignore-migration-patterns: "*:missing"
    baseline-version: 0
    validate-on-migrate: true
    repair-on-migrate: true
    clean-disabled: true
    out-of-order: true
    schemas: public

logging:
  level:
    org.flywaydb: DEBUG
    org.hibernate.SQL: DEBUG
    org.hibernate.type.descriptor.sql.BasicBinder: TRACE
    org.springframework.jdbc.core: TRACE

springdoc:
  swagger-ui:
    enabled: true
    layout: BaseLayout
    path: /swagger/ui
  api-docs:
    enabled: true
    path: /v3/api-docs

complex-plan:
  observation-parameters:
    parallel-enabled: ${COMPLEX_PLAN_OBSERVATION_PARAMETERS_PARALLEL_ENABLED:true}
    chunk-size: ${COMPLEX_PLAN_OBSERVATION_PARAMETERS_CHUNK_SIZE:20}
    parallelism: ${COMPLEX_PLAN_OBSERVATION_PARAMETERS_PARALLELISM:8}
    debug-output-dir: ${COMPLEX_PLAN_OBSERVATION_PARAMETERS_DEBUG_OUTPUT_DIR:${java.io.tmpdir}/pcp-dynamic-plan-service/obsParams}
  geo-layers:
    enabled: false
    output-dir: ${java.io.tmpdir}/pcp-dynamic-plan-service/geo-layers
